unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ComCtrls,

  //BGRABitmapTypes,
  BGRABitmap, BGRASVG, BGRAUnits;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtnTest2: TButton;
    Image1: TImage;
    Label1: TLabel;
    Panel1: TPanel;
    TrackBar1: TTrackBar;
    procedure BtnTest2Click(Sender: TObject);
    procedure BtnTest1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    procedure Test1;
    procedure Test2;

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.Test1;
Var
 bmp: TBGRABitmap;
 svg: TBGRASVG;
begin
 bmp:= TBGRABitmap.Create;
 try
  svg:= TBGRASVG.Create('svg\test2.svg');
  try
   bmp.SetSize(Round(svg.Width.value),Round(svg.Height.value));
   svg.Draw(bmp.Canvas2D, 0,0, cuPixel);
   Image1.Picture.Bitmap.Assign(bmp);
  finally
   svg.Free;
  end;
 finally
  bmp.Free;
 end;
end;

procedure TForm1.Test2;
Var
 bmp: TBGRABitmap;
 svg: TBGRASVG;
begin
 bmp:= TBGRABitmap.Create;
 try
  svg:= TBGRASVG.Create('svg\test1.svg');
  try
   bmp.SetSize(Round(TrackBar1.Position),Round(TrackBar1.Position));
   svg.StretchDraw(bmp.Canvas2D, taCenter, tlCenter, 0,0,TrackBar1.Position,TrackBar1.Position);
   Image1.Picture.Bitmap.Assign(bmp);
  finally
   svg.Free;
  end;
 finally
  bmp.Free;
 end;
end;

procedure TForm1.BtnTest1Click(Sender: TObject);
begin
 Test1;
end;

procedure TForm1.BtnTest2Click(Sender: TObject);
begin
 Test2;
end;

end.

